Investors, warrants & staking
Get Payment Proof Files
Lists payment-proof records and their files for a warrant.
GEThttps://api.toku.com/platform/get-payment-proof-files
Not available to API keys yet. It will need grants:read.
curl --request GET \
--url 'https://api.toku.com/platform/get-payment-proof-files?warrantID=%3CwarrantID%3E' \
--header 'Authorization: Bearer <token>'200 response
[
{
"paymentProofID": "string",
"roleInOrgID": "string",
"investorEntityID": "string",
"fileID": "string",
"createdAt": "string",
"updatedAt": "string",
"warrantID": "string",
"file": {
"fileID": "string",
"orgID": "string",
"fileName": "string",
"mimeType": "string",
"fileKey": "string",
"fileBucket": "string",
"fileUploaded": "string",
"fileSizeInBytes": "string",
"createdByUserID": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"type": "string",
"fileURL": "string",
"fileDownloadURL": "string"
}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
warrantIDstringrequiredResponse
200Successful response
paymentProofIDstringrequiredroleInOrgIDstringrequiredinvestorEntityIDstring | nullrequiredfileIDstringrequiredcreatedAtstringrequiredupdatedAtstringrequiredwarrantIDstring | nullrequiredfileobjectrequiredShow child attributes
fileIDstringrequiredorgIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileKeystringrequiredfileBucketstringrequiredfileUploadedstring | nullrequiredfileSizeInBytesstring | numberrequiredcreatedByUserIDstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDnumber | nullrequiredtypestringrequiredfileURLstringrequiredfileDownloadURLstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits